Loading...
Searching...
No Matches
gtsam::EliminationTree< BAYESNET, GRAPH >::Node Struct Reference

## Public Member Functions

sharedFactor | eliminate (const boost::shared_ptr< BayesNetType > &output, const Eliminate &function, const FastVector< sharedFactor > &childrenFactors) const
void | print (const std::string &str, const KeyFormatter &keyFormatter) const

## Public Attributes

Key | key
| key associated with root
Factors | factors
| factors associated with root
Children | children
| sub-trees

## Public Types

typedef FastVector< sharedFactor > | Factors
typedef FastVector< boost::shared_ptr< Node > > | Children

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/EliminationTree.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/EliminationTree-inst.h